<div style="margin-bottom: 20px">
  <nz-page-header>
    <nz-page-header-title>
      <nz-breadcrumb>
        <nz-breadcrumb-item>
          <a routerLink="/">{{ "Common.Homepage" | translate }}</a>
        </nz-breadcrumb-item>
        <nz-breadcrumb-item>{{ "Economy.Company.MyCompanies" | translate }}</nz-breadcrumb-item>
      </nz-breadcrumb>
    </nz-page-header-title>
  </nz-page-header>

  <nz-alert nzType="info" [nzMessage]="alertInfo">
    <ng-template #alertInfo>
      <div nz-row>
        <div nz-col nzSm="24" nzLg="12" style="padding-top: 5px">
          {{ "Economy.Company.ManageCompanies" | translate }}
        </div>
        <div nz-col nzSm="24" nzLg="12" style="text-align: right">
          <button nz-button nzShape="round" nzType="primary" (click)="create()" [nzLoading]="isLoading">
            {{ "Common.Buttons.Create" | translate }}
          </button>
        </div>
      </div>
    </ng-template>
  </nz-alert>
</div>


<nz-skeleton [nzActive]="true" [nzRound]="true" [nzLoading]="isLoading">
  <nz-empty *ngIf="list?.length === 0" nzNotFoundContent="{{ 'Citizen.Company.noCompanies' | translate }}" nzNotFoundImage="simple"></nz-empty>

  <div nz-row nzGutter="12">
    <div nz-col nzXs="24" nzSm="24" nzLg="12" nzXl="8" *ngFor="let item of list">
      <nz-card [nzTitle]="title" [nzExtra]="extra" nzSize="small" style="margin-bottom: 12px;">
        <ng-template #title>
          <nz-avatar [nzShape]="'square'" [nzSrc]="item.avatar" [nzSize]="25" [nzIcon]="'user'"
            style="margin-right: 5px"></nz-avatar>
          {{ item.name }}
        </ng-template>
        <ng-template #extra>
          <button nz-button nzShape="round" nzType="default" [routerLink]="['/company', item.id]">
            {{ "Common.Buttons.Manage" | translate }}
          </button>
        </ng-template>
        <div nz-row nzGutter="12" style="text-align: center;">
          <div nz-col nzSpan="8">
            <img src="{{ item.industry.value }}" alt="{{ item.industry.symbol | translate }}" width="60" height="60" />
            <div>
              {{ "Economy." + item.industry.symbol | translate }}
            </div>
          </div>
          <div nz-col nzSpan="16">
            <div *ngIf="item.industry.isRaw === false">
              {{ "Common.Quality" | translate }}: <span style="color: gold" innerHtml="{{ item.quality | q }}"></span>
            </div>
            <div>
              {{ "Common.Region" | translate }}: <a [routerLink]="['/region', item.region.id]">{{ item.region.x }}, {{ item.region.y }}</a>
            </div>
            <div>
              {{ "Economy.Market.Country" | translate }}: <a [routerLink]="['/country', item.region?.country?.id]">{{ item.region?.country?.name }}</a>
            </div>
          </div>
        </div>
      </nz-card>
    </div>
  </div>
</nz-skeleton>

